<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="action">
            <h2><span>Action</span> {{ action.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Name</span></dt>
                <dd>
                    <span>{{ action.name }}</span>
                </dd>
                <dt><span>Next</span></dt>
                <dd>
                    <span>{{ action.next }}</span>
                </dd>
                <dt><span>Type</span></dt>
                <dd>
                    <span>{{ action.type }}</span>
                </dd>
                <dt><span>Case Step</span></dt>
                <dd>
                    <div *ngIf="action.caseStep">
                        <a [routerLink]="['/case-step', action.caseStep?.id, 'view']">{{ action.caseStep?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/action', action.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
